/*
 * @gridStruct.java Version 1.1 06/18/2015
 *
 * Copyright (c) 2015 Kansas Geological Survey
 * 1930 Constant Avenue, Lawrence, Kansas, 66047, U.S.A.
 * All Rights Reserved.
 */

package grid;

import java.net.*;
import java.awt.*;
import java.applet.*;

/** Class gridStruct
 *  <p> This Class holds the Gridding & Mapping Module Global Data.
 *
 *  @version 1.1 06/18/2015
 *  @author  John R. Victorine
 */

public class gridStruct
{
  /* ======================================================================= *
   * ------------------- Web Applications XML Mnemonics -------------------- *
   * ======================================================================= */

  public static final String BRINE_WELLS =
    "http://chasm.kgs.ku.edu/ords/iqstrat.co2_gridding_fluid_pkg.getWellXML";

  public static final String FLUID_DATA =
    "http://chasm.kgs.ku.edu/ords/iqstrat.co2_gridding_fluid_pkg.getDateXML";

  /* ======================================================================= *
   * ---------------------------- KGS Logo Icon ---------------------------- *
   * ======================================================================= */

  public static final String ICON   = "images/kgsSm.png";
  public static final String ICON2  = "images/kgsSm2.png";

  /* ======================================================================= *
   * ---------------------------- Image Buttons ---------------------------- *
   * ======================================================================= */

  public static final String BRINE_DATA = "/images/webapp-brine.png";
  public static final String CLOSE      = "/images/close.png";

  /* ======================================================================= *
   * --------------------------- Global Variables -------------------------- *
   * ======================================================================= */

  public boolean       bStandalone;     // Application is Stand alone
  public URL           urlDirCodeBase;  // URL Base Location
  public AppletContext appletContext;   // Applet Context

  public String        sPath;           // Path to retrieve data from JAR File
  public String        sImagePath;      // Path to retrieve images from JAR File
  public ClassLoader   cl;
  public Image         pIcon  = null;
  public Image         pIcon2 = null;
}


/*
 *  @version 1.1 06/18/2015
 *  @author  John Victorine
 */
